#ifndef FONTRENDERER_H
#define FONTRENDERER_H

#include "data/Array.h"
#include "rendering/Texture.h"
#include "rendering/VertexBuffer.h"

class FontRenderer final {
    VertexBuffer vertexBuffer;
    Array<Texture, 3> tex;
    int activeTex;
    int scale;

public:
    FontRenderer();
    void init();
    float drawString(float x, float y, const char* text);
    void setSize(int size);
};

#endif