#include "input/Controller.h"
#include "GLFW/glfw3.h"

Window::Controls::ButtonId Controller::a = -1;
Window::Controls::ButtonId Controller::b = -1;
Window::Controls::ButtonId Controller::x = -1;
Window::Controls::ButtonId Controller::y = -1;
Window::Controls::ButtonId Controller::l = -1;
Window::Controls::ButtonId Controller::r = -1;
Window::Controls::ButtonId Controller::start = -1;
Window::Controls::ButtonId Controller::select = -1;
Window::Controls::ButtonId Controller::left = -1;
Window::Controls::ButtonId Controller::right = -1;
Window::Controls::ButtonId Controller::up = -1;
Window::Controls::ButtonId Controller::down = -1;

void Controller::init() {
    a = Window::Controls::add("A");
    b = Window::Controls::add("B");
    x = Window::Controls::add("X");
    y = Window::Controls::add("Y");
    l = Window::Controls::add("L");
    r = Window::Controls::add("R");
    start = Window::Controls::add("Start");
    select = Window::Controls::add("Select");
    left = Window::Controls::add("Left");
    right = Window::Controls::add("Right");
    up = Window::Controls::add("Up");
    down = Window::Controls::add("Down");

    Window::Controls::bindKey(a, GLFW_KEY_A);
    Window::Controls::bindKey(b, GLFW_KEY_S);
    Window::Controls::bindKey(x, GLFW_KEY_X);
    Window::Controls::bindKey(y, GLFW_KEY_Z);
    Window::Controls::bindKey(l, GLFW_KEY_Q);
    Window::Controls::bindKey(r, GLFW_KEY_W);
    Window::Controls::bindKey(start, GLFW_KEY_E);
    Window::Controls::bindKey(select, GLFW_KEY_D);
    Window::Controls::bindKey(left, GLFW_KEY_LEFT);
    Window::Controls::bindKey(right, GLFW_KEY_RIGHT);
    Window::Controls::bindKey(up, GLFW_KEY_UP);
    Window::Controls::bindKey(down, GLFW_KEY_DOWN);

    Window::Controls::bindGamepad(a, GLFW_GAMEPAD_BUTTON_A);
    Window::Controls::bindGamepad(b, GLFW_GAMEPAD_BUTTON_B);
    Window::Controls::bindGamepad(x, GLFW_GAMEPAD_BUTTON_X);
    Window::Controls::bindGamepad(y, GLFW_GAMEPAD_BUTTON_Y);
    Window::Controls::bindGamepad(l, GLFW_GAMEPAD_BUTTON_LEFT_BUMPER);
    Window::Controls::bindGamepad(r, GLFW_GAMEPAD_BUTTON_RIGHT_BUMPER);
    Window::Controls::bindGamepad(select, GLFW_GAMEPAD_BUTTON_BACK);
    Window::Controls::bindGamepad(start, GLFW_GAMEPAD_BUTTON_START);
    Window::Controls::bindGamepad(select, GLFW_GAMEPAD_BUTTON_LEFT_THUMB);
    Window::Controls::bindGamepad(start, GLFW_GAMEPAD_BUTTON_RIGHT_THUMB);
    Window::Controls::bindGamepad(up, GLFW_GAMEPAD_BUTTON_DPAD_UP);
    Window::Controls::bindGamepad(right, GLFW_GAMEPAD_BUTTON_DPAD_RIGHT);
    Window::Controls::bindGamepad(down, GLFW_GAMEPAD_BUTTON_DPAD_DOWN);
    Window::Controls::bindGamepad(left, GLFW_GAMEPAD_BUTTON_DPAD_LEFT);
}