#include "rendering/Mesh.h"

Mesh::Mesh() : buffer(4) {
    vertexBuffer.init(
        VertexBuffer::Attributes().addFloat(3).addFloat(2).addFloat(3));
}

void Mesh::add(const VertexData& data) {
    buffer.add(data);
}

void Mesh::clear() {
    buffer.clear();
}

void Mesh::build() {
    vertexBuffer.setData(GL::STATIC_DRAW, buffer);
}

void Mesh::draw() {
    vertexBuffer.draw(buffer.getLength());
}